## jitsi 2.4.4997

=== native/g722/Makefile ===
JAVA_HOME?=/usr/lib/jvm/java-6-sun

TARGET=../../../lib/native/linux-64/libjg722.so

CC=gcc
CPPFLAGS=-D_JNI_IMPLEMENTATION_ \
         -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux \
         -O2 \
         -Wall
LDFLAGS=-shared -fPIC
LIBS=

$(TARGET): \
                g722.c \
                net_java_sip_communicator_impl_neomedia_codec_audio_g722_JNIDecoder.c \
                net_java_sip_communicator_impl_neomedia_codec_audio_g722_JNIEncoder.c \
                vector_int.c
	$(CC) $(CPPFLAGS) $^ $(LDFLAGS) -o $@ $(LIBS)

=== native/screencapture/Makefile ===
##
# \file Makefile
# \brief libscreencapture makefile.
# \author Sebastien Vincent

CC = gcc
CFLAGS = -std=c99 -D_POSIX_C_SOURCE=200112L -D_XOPEN_SOURCE=600 -Wall -Wextra -pedantic -Wstrict-prototypes -Wredundant-decls -O3

# uncomment to compile on Linux
LDFLAGS =
CFLAGS += -fPIC
JNI_HEADERS = -I${JAVA_HOME}/include -I${JAVA_HOME}/include/linux
TARGET = libscreencapture.so 

# uncomment to compile on Windows
#LDFLAGS = -lgdi32
#JNI_HEADERS = -I${JAVA_HOME}/include -I${JAVA_HOME}/include/win32
#CFLAGS += -Wl,--kill-at 
#TARGET = screencapture.dll

# uncomment to compile on Mac OS X
#CFLAGS += -fPIC -arch i386 -arch x86_64 -arch ppc -I/System/Library/Frameworks/ApplicationServices.framework/Headers
#LDFLAGS = -framework ApplicationServices
#JNI_HEADERS = -I/System/Library/Frameworks/JavaVM.framework/Headers 
#TARGET = libscreencapture.jnilib 

# uncomment to compile on FreeBSD
#CFLAGS += -fPIC -I/usr/local/include
#LDFLAGS =
#JNI_HEADERS = -I${JAVA_HOME}/include -I${JAVA_HOME}/include/freebsd
#TARGET = libscreencapture.so 

CFLAGS += $(JNI_HEADERS)

all: libscreencapture

libscreencapture: net_java_sip_communicator_impl_neomedia_imgstreaming_NativeScreenCapture.c
	$(CC) -shared $(CFLAGS) -o $(TARGET) -O $< $(LDFLAGS)

# To compile 32 bit library under 64 bit system
# Note: On Windows, cross-compilation is supported from gcc-4.5
libscreencapture-32: net_java_sip_communicator_impl_neomedia_imgstreaming_NativeScreenCapture.c
	$(CC) -shared -m32 $(CFLAGS) -o $(TARGET) -O $< $(LDFLAGS)

clean:
	rm -f *.o *.so *.dll

=== native/speex/Makefile ===
JAVA_HOME?=/usr/lib/jvm/java-6-sun
SPEEX_HOME?=/home/lubomir/src/speex-1.2rc1

TARGET=../../../lib/native/linux/libjspeex.so

CC=gcc
CPPFLAGS=-D_JNI_IMPLEMENTATION_ \
         -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux \
         -I$(SPEEX_HOME)/include \
         -O2 \
         -Wall
LDFLAGS=-shared -fPIC
LIBS=-L$(SPEEX_HOME)/libspeex/.libs -Wl,-Bstatic -lspeex -lspeexdsp -Wl,-Bdynamic -lm

$(TARGET): net_java_sip_communicator_impl_neomedia_codec_audio_speex_Speex.c net_java_sip_communicator_impl_neomedia_codec_audio_speex_Speex.h
	$(CC) $(CPPFLAGS) $< $(LDFLAGS) -o $@ $(LIBS)

=== native/linux/galagonotification/Makefile ===
JAVA_HOME?=/usr/lib/jvm/java-6-sun

ARCH=$(shell uname -m | sed -e s/x86_64/-64/ -e s/i.86//)
TARGET=../../../../lib/native/linux$(ARCH)/libgalagonotification.so

CC=gcc
CPPFLAGS=-DJNI_IMPLEMENTATION \
         -fPIC \
         -Wall -Wreturn-type \
         -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux \
         $(shell pkg-config --cflags dbus-1)
LDFLAGS=-shared
LIBS=$(shell pkg-config --libs dbus-1)

$(TARGET): net_java_sip_communicator_impl_galagonotification_GalagoNotification.c net_java_sip_communicator_impl_galagonotification_GalagoNotification.h
	$(CC) $(CPPFLAGS) $< $(LDFLAGS) -o $@ $(LIBS)

=== native/linux/libjmf_alsa/Makefile ===
### Makefile --- 

## Author: lorchat@vaio.home.net
## Version: $Id$
## Keywords: 
## X-URL: 

TARGET=libjmf_alsa.so
CFLAGS=-I$(JNI_INCLUDE_PATH) -I$(JNI_INCLUDE_PATH)/linux 
JNI_INCLUDE_PATH=/usr/lib/jvm/java-6-sun-1.6.0.00/include
LIBS=-lasound
OBJS=net_java_sip_communicator_impl_media_protocol_alsa_AlsaStream.o

all:$(TARGET)

clean:
	rm -rf $(TARGET) $(OBJS) *~

install:$(TARGET)
	cp $(TARGET) ../../../../lib/native/linux/

libjmf_alsa.so:$(OBJS)
	$(CC) -shared -o $(TARGET) $(LIBS) $(CFLAGS) $<

### Makefile ends here

=== src/misc/src/linux/native/jni/Makefile ===
#
# Copyright (C) 2004 Sun Microsystems, Inc. All rights reserved. Use is
# subject to license terms.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the Lesser GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
# 

# 
# Makefile for building JDIC native libraries(*.so) on Unix platforms
# (Linux/Solaris/FreeBSD).
# *** This makefile must be built using GNU Make ***
# JAVA_HOME must be set before using this script.
#

UNAME = $(shell uname)
ARCH = $(shell uname -m)

PLATFORM = linux
CXX = g++
CXXFLAGS = -c -fPIC
LDFLAGS = -Wl,-z,relro -shared -fPIC -ldl -lrt -lpthread -ljawt -lXv

USR_INCLUDE_DIR = /usr/include
ifeq ($(ARCH), x86_64)
  USR_LIB_DIR = /usr/lib64
  SO_NAME=libjdic_misc-64.so
  LDFLAGS += -L$(JAVA_HOME)/jre/lib/amd64
else
  USR_LIB_DIR = /usr/lib
  SO_NAME=libjdic_misc-32.so
  LDFLAGS += -L$(JAVA_HOME)/jre/lib/i386
endif

INCLUDES = -I$(JAVA_HOME)/include \
           -I$(JAVA_HOME)/include/$(PLATFORM)

TRAY_LIBS = -L$(X11LIB) -lXt -lX11

#
# All the native source files.
#
TRAY_CSRC = alerter.c

#
# Build both libjdic.so and ibtray.so containing all the native code.
#
TRAY_SO_NAME = libjdic_misc.so

all: $(TRAY_SO_NAME)

JDIC_SO_OBJS = $(CPPSRCS:.cpp=.o)

.cpp.o:
	$(CXX) $(CXXFLAGS) $(INCLUDES) $(EXTRA_INCLUDES) -o $@ $<

#
# Build libtray.so containing only the Tray Icon API native code.
#
tray: $(TRAY_SO_NAME)

$(TRAY_SO_NAME): $(TRAY_CSRC)
	$(CC) $(INCLUDES) $(LDFLAGS) -ldl -L$(X11LIB) -lXt -lX11 $(TRAY_CSRC) -o $(SO_NAME)

clean:
	rm -f *.so
	rm -f *.o

=== src/misc/src/win32/native/jni/Makefile ===
# Copyright (C) 2004 Sun Microsystems, Inc. All rights reserved. Use is
# subject to license terms.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the Lesser GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
# Project: Misc
# author: Carl Dea
#
# mingw32-gcc-3.4.2
#TARGET_ALIAS = mingw32
CC = gcc
AS = as
DLLWRAP = dllwrap
DLLTOOL = dlltool
DLLWRAP_FLAGS = --driver-name=c++ --add-stdcall-alias

INCLUDE = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/win32 -g
LIB = -L$(JAVA_HOME)/lib
CFLAGS =  -g -O2 -c $(INCLUDE) $(LIB)

DEFFILE=libjdic_misc.def
STATICLIB=libjdic_misc.a


RM = rm -f

OBJ = wallpaper.o
BIN = jdic_misc.dll

.PHONY: all all-before all-after clean clean-custom

all: all-before jdic_misc.dll all-after

check: 
	echo $(JAVA_HOME)
clean: clean-custom
	${RM} $(OBJ) $(BIN)

jdic_misc.dll: wallpaper.o alerter.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) -o jdic_misc.dll -s wallpaper.o alerter.o

wallpaper.o: wallpaper.cpp
	$(CC) $(CFLAGS) wallpaper.cpp

alerter.o: alerter.c
	$(CC) $(CFLAGS) alerter.c

=== debian/changelog ===
jitsi (2.4.4997-1ubuntu1) trusty; urgency=medium

  * Reorder linker command line options to support building with --as-needed.

 -- Andreas Moog <andreas.moog@warperbbs.de>  Sat, 18 Jan 2014 15:16:51 +0100

jitsi (2.4.4997-1) unstable; urgency=low

  * Updates upstream.
  * Fixes printing version. (Closes: #733889)

 -- Damian Minkov <damencho@jitsi.org>  Wed, 15 Jan 2014 17:03:00 -0500

jitsi (2.3.4909-1) unstable; urgency=low

  * Builds against libav9. (Closes: #719517)
  * Fixed crashes when opening video/options. (Closes: #719278)
  * Removed dependency to libgoogle-collections-java. (Closes: #727701)
  * Fixed registering account on first run. (Closes: #719999)
  * Adds some missing links while building for lib libbcpkix. (Closes: #726652)
  * Updates upstream and also libs dependencies. (Closes: #729254)

 -- Damian Minkov <damencho@jitsi.org>  Fri, 15 Nov 2013 09:56:31 -0500

jitsi (2.3.4687.9786-1) unstable; urgency=low

  * Removes use of maven build for bccontrib package.

 -- Damian Minkov <damencho@jitsi.org>  Mon, 17 Jun 2013 12:48:19 +0300

jitsi (2.3.4678.9772-1) unstable; urgency=low

  * Removes embedded bouncycastle package.
  * Patches joscar to use the latest version 1.48 of bcprov.
  * Adds autotools-dev dependincy to deal with some warnings
    for old build files.
  * Fixes building twice.

 -- Damian Minkov <damencho@jitsi.org>  Wed, 12 Jun 2013 11:02:34 +0300

jitsi (2.1.4541.10678-1) unstable; urgency=low

  * Fixes missing dbus headers when building i386 package.

 -- Damian Minkov <damencho@jitsi.org>  Mon, 1 Apr 2013 12:12:17 +0300

jitsi (2.1.4534.10649-1) unstable; urgency=low

  * Removes jdic dependency.

 -- Damian Minkov <damencho@jitsi.org>  Tue, 26 Mar 2013 15:07:14 +0200

jitsi (2.0.4506.10553-1) unstable; urgency=low

  * Renames package jitsi-jni to libjitsi-jni.
  * Removes jar-not-in-usr-share overrides, not needed anymore.
  * Moves files from /usr/lib to /usr/share
  * Rename README.libraries to README.embedded-libraries.
  * Removes embedded dnsjava package and add dependency to libdnsjava-java.
  * Removes duplicate entry in copyright.

 -- Damian Minkov <damencho@jitsi.org>  Mon, 18 Mar 2013 16:34:08 +0200

jitsi (1.1.4407.10289-1) unstable; urgency=low

  * Adds README.libraries describing the libraries embedded.
  * Adds Homepage entry and fixes descriptions.
  * Updates desktop shortcut, removes obsolete fields.
  * Adds debian/watch for new source packages.
  * Removes ffmpeg library and add dependency to libav.

 -- Damian Minkov <damencho@jitsi.org>  Thu, 17 Jan 2013 16:03:58 +0200

jitsi (1.1.4365-1) unstable; urgency=low

  * Initial release. (Closes: #627362)

 -- Damian Minkov <damencho@jitsi.org>  Tue, 18 Dec 2012 11:47:40 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export JAVA_HOME=/usr/lib/jvm/default-java
export PACKAGE_NAME=jitsi
export ANT=ant

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with javahelper

override_dh_auto_build:
	dh_auto_build -- init deb-src-rebuild

# Copy OS specific and native libs
override_dh_install-indep:
	dh_install -p$(PACKAGE_NAME) -Xslickless.jar -Xslick-runner.jar -X-slick.jar -X.svn -Xcommons-codec.jar -Xcommons-lang.jar
# make and install the debian specific bundles
# use the prebuild and installed bundles to extract/modify and use the
# exising debian java packages
	$(ANT) -file build.xml -Ddebian.bundles.dest=debian/$(PACKAGE_NAME)/usr/share/$(PACKAGE_NAME)/sc-bundles deb-bundle-jna deb-bundle-util deb-bundle-sysactivitynotifications deb-bundle-swing-ui deb-bundle-httputil deb-bundle-json deb-bundle-smacklib deb-bundle-jmdnslib deb-bundle-desktoputil deb-bundle-bouncycastle deb-bundle-plugin-accountinfo

override_dh_install-arch:
ifeq ($(DEB_HOST_ARCH),amd64)
	dh_install -plib$(PACKAGE_NAME)-jni lib/native/linux-64/*.so usr/lib/jni/
else
	dh_install -plib$(PACKAGE_NAME)-jni lib/native/linux/*.so usr/lib/jni/
endif

# we have folders with name *.jar which jh_manifest don't like and fails,
# we do not use it so skip it
override_jh_manifest:
	# do nothing

override_dh_auto_clean:
	dh_auto_clean -- clean-debuild

get-orig-source:
	uscan

## jitsi 2.9.5533

=== src/native/windows/LocalhostRetriever/Makefile ===
##
# \file Makefile
# \brief Win32 (Visual C++) makefile.
# \author Sebastien Vincent

CC = cl
JNI_HEADERS = /I%JAVA_HOME%\include /I%JAVA_HOME%\include\win32
CFLAGS = $(JNI_HEADERS)

LocalhostRetriever.dll: net_java_sip_communicator_impl_netaddr_Win32LocalhostRetriever.c
	$(CC) $(CFLAGS) /LD net_java_sip_communicator_impl_netaddr_Win32LocalhostRetriever.c iphlpapi.lib /Fe$@

clean:
	del *.exp *.lib *.dll *.obj

=== src/native/windows/run/Makefile ===
#
# Jitsi, the OpenSource Java VoIP and Instant Messaging client.
#
# Copyright @ 2015 Atlassian Pty Ltd
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

MINGW_HOME ?= C:/mingw
PRODUCTNAME ?= Jitsi
COMPANYNAME ?= jitsi.org
PRODUCTBUILDVERSION ?= 1.0.0.0
PRODUCTBUILDVERSION_COMMA ?= 1,0,0,0
TARGET_BASENAME ?= run
TARGET_DIR ?= ../../../../release/windows/tmp

ifeq ($(wildcard /bin/cygpath.*),/bin/cygpath.exe)
    target.dir := $(shell cygpath --mixed "$(TARGET_DIR)")
    cygwin.target.dir := $(shell cygpath --unix "$(TARGET_DIR)")
else
    target.dir := "$(TARGET_DIR)"
    cygwin.target.dir := "$(TARGET_DIR)"
endif

CC = $(MINGW_HOME)/bin/gcc.exe
CPPFLAGS := $(CPPFLAGS) \
	-O2 \
	-Wall -Wreturn-type \
	-DPSAPI_VERSION=1 \
	-DWINVER=0x0502 -D_WIN32_WINNT=0x0502 \
	-I$(target.dir) \
	-I"$(JAVA_HOME)/include" -I"$(JAVA_HOME)/include/win32"
LDFLAGS = -mwindows
LIBS = -ladvapi32 -lpsapi

MACHINE = $(shell $(CC) -dumpmachine)
WINDRES = $(MINGW_HOME)/bin/windres.exe
ifneq ("x$(MACHINE)","x")
ifeq ($(wildcard $(MINGW_HOME)/bin/$(MACHINE)-windres.*),$(MINGW_HOME)/bin/$(MACHINE)-windres.exe)
    WINDRES = $(MINGW_HOME)/bin/$(MACHINE)-windres.exe
endif
endif

$(cygwin.target.dir)/$(TARGET_BASENAME).exe: $(cygwin.target.dir)/config.h registry.c run.c $(cygwin.target.dir)/run.res ../setup/nls.c
	$(CC) $(CPPFLAGS) registry.c run.c $(target.dir)/run.res ../setup/nls.c $(LDFLAGS) -o $(target.dir)/$(TARGET_BASENAME).exe $(LIBS)
	-$(MINGW_HOME)/$(MACHINE)/bin/strip.exe $(target.dir)/$(TARGET_BASENAME).exe

.PHONY: $(cygwin.target.dir)/config.h

$(cygwin.target.dir)/config.h:
	-rm.exe -f ../../../../resources/install/windows/config.h
	echo.exe -e '#define PRODUCTNAME "$(PRODUCTNAME)"\n#define COMPANYNAME "$(COMPANYNAME)"\n#define PRODUCTBUILDVERSION "$(PRODUCTBUILDVERSION)"\n#define PRODUCTBUILDVERSION_COMMA $(PRODUCTBUILDVERSION_COMMA)\n#define TARGET_BASENAME "$(TARGET_BASENAME)"\n#define TARGET_BASENAME_EXE "$(TARGET_BASENAME).exe"' > $(cygwin.target.dir)/config.h

$(cygwin.target.dir)/run.res: $(cygwin.target.dir)/config.h run.rc
	$(WINDRES) -I../../../../resources/install/windows -I$(target.dir) run.rc -O coff -o $(target.dir)/run.res

=== src/native/windows/setup/Makefile ===
#
# Jitsi, the OpenSource Java VoIP and Instant Messaging client.
#
# Copyright @ 2015 Atlassian Pty Ltd
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

BZ2_HOME ?= .
LZMA_HOME ?= .
MINGW_HOME ?= C:/mingw
PRODUCTNAME ?= Jitsi
PRODUCTBUILDVERSION ?= 1.0.0.0
TARGET_BASENAME ?= setup
TARGET_DIR ?= ../../../../release/windows/tmp

ifeq ($(wildcard /bin/cygpath.*),/bin/cygpath.exe)
    target.dir := $(shell cygpath --mixed "$(TARGET_DIR)")
    cygwin.target.dir := $(shell cygpath --unix "$(TARGET_DIR)")
else
    target.dir := "$(TARGET_DIR)"
    cygwin.target.dir := "$(TARGET_DIR)"
endif

CC = $(MINGW_HOME)/bin/gcc.exe
ARCH = $(shell $(CC) -dumpmachine | sed.exe -e s/x86_64-.*/x64/ -e s/i.86-.*/x86/ -e s/mingw32/x86/)

CPPFLAGS = \
	-O2 \
	-Wall -Wreturn-type \
	-DWINVER=0x0502 -D_WIN32_WINNT=0x0502 \
	-I$(target.dir) \
	-DBSPATCH_API_STATIC -DBZ2_API_STATIC -I. -I$(BZ2_HOME)/include -I$(BZ2_HOME) \
	-DLZMA_API_STATIC -I$(LZMA_HOME)/include -I$(LZMA_HOME)/api \
	-I../run
LDFLAGS = \
	-mwindows \
	-L$(BZ2_HOME)/lib/$(ARCH) -L$(BZ2_HOME) \
	-L$(LZMA_HOME)/lib/$(ARCH) -L$(LZMA_HOME)/.libs
LIBS = -ladvapi32 -lbz2 -llzma -lole32 -lshell32

MACHINE = $(shell $(CC) -dumpmachine)
WINDRES = $(MINGW_HOME)/bin/windres.exe
ifneq ("x$(MACHINE)","x")
ifeq ($(wildcard $(MINGW_HOME)/bin/$(MACHINE)-windres.*),$(MINGW_HOME)/bin/$(MACHINE)-windres.exe)
    WINDRES = $(MINGW_HOME)/bin/$(MACHINE)-windres.exe
endif
endif

ifdef PACKAGECODE
    DEFINE_PACKAGECODE = define PACKAGECODE "$(strip $(PACKAGECODE))"
else
    DEFINE_PACKAGECODE = undef PACKAGECODE
endif
ifdef PACKAGESIZE
    DEFINE_PACKAGESIZE = define PACKAGESIZE $(strip $(PACKAGESIZE))
else
    DEFINE_PACKAGESIZE = undef PACKAGESIZE
endif

$(cygwin.target.dir)/$(TARGET_BASENAME).exe: bspatch.c $(cygwin.target.dir)/config.h lasterror.c nls.c ../run/registry.c setup.c $(cygwin.target.dir)/setup.res
	$(CC) $(CPPFLAGS) bspatch.c lasterror.c nls.c ../run/registry.c setup.c $(target.dir)/setup.res $(LDFLAGS) -o $(target.dir)/$(TARGET_BASENAME).exe $(LIBS)
	-$(MINGW_HOME)/$(MACHINE)/bin/strip.exe $(target.dir)/$(TARGET_BASENAME).exe

.PHONY: $(cygwin.target.dir)/config.h

$(cygwin.target.dir)/config.h:
	-rm.exe -f ../../../../resources/install/windows/config.h
	echo.exe -e '#define PRODUCTNAME "$(PRODUCTNAME)"\n#$(DEFINE_PACKAGECODE)\n#$(DEFINE_PACKAGESIZE)\n#define PRODUCTBUILDVERSION "$(PRODUCTBUILDVERSION)"' > $(cygwin.target.dir)/config.h

$(cygwin.target.dir)/setup.res: $(cygwin.target.dir)/config.h setup.rc
	$(WINDRES) -I../../../../resources/install/windows -I$(target.dir) setup.rc -O coff -o $(target.dir)/setup.res

=== src/native/windows/setup/cleansweep/Makefile ===
#
# Jitsi, the OpenSource Java VoIP and Instant Messaging client.
#
# Copyright @ 2015 Atlassian Pty Ltd
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

MINGW_HOME ?= C:/mingw
PRODUCTNAME ?= Jitsi
TARGET_BASENAME ?= cleansweep
TARGET_DIR ?= ../../../../../release/windows/tmp

ifeq ($(wildcard /bin/cygpath.*),/bin/cygpath.exe)
    target.dir := $(shell cygpath --mixed "$(TARGET_DIR)")
    cygwin.target.dir := $(shell cygpath --unix "$(TARGET_DIR)")
else
    target.dir := "$(TARGET_DIR)"
    cygwin.target.dir := "$(TARGET_DIR)"
endif

CC = $(MINGW_HOME)/bin/gcc.exe
CPPFLAGS = \
	-O2 \
	-Wall -Wreturn-type \
	-DWINVER=0x0502 -D_WIN32_WINNT=0x0502 \
	-I$(target.dir)
LDFLAGS = -mwindows
LIBS = -lshell32

MACHINE = $(shell $(CC) -dumpmachine)
WINDRES = $(MINGW_HOME)/bin/windres.exe
ifneq ("x$(MACHINE)","x")
ifeq ($(wildcard $(MINGW_HOME)/bin/$(MACHINE)-windres.*),$(MINGW_HOME)/bin/$(MACHINE)-windres.exe)
    WINDRES = $(MINGW_HOME)/bin/$(MACHINE)-windres.exe
endif
endif

ifdef PACKAGECODE
    DEFINE_PACKAGECODE = define PACKAGECODE "$(strip $(PACKAGECODE))"
else
    DEFINE_PACKAGECODE = undef PACKAGECODE
endif

$(cygwin.target.dir)/$(TARGET_BASENAME).exe: cleansweep.c $(cygwin.target.dir)/config.h $(cygwin.target.dir)/cleansweep.res
	$(CC) $(CPPFLAGS) cleansweep.c $(target.dir)/cleansweep.res $(LDFLAGS) -o $(target.dir)/$(TARGET_BASENAME).exe $(LIBS)
	-$(MINGW_HOME)/$(MACHINE)/bin/strip.exe $(target.dir)/$(TARGET_BASENAME).exe

.PHONY: $(cygwin.target.dir)/config.h

$(cygwin.target.dir)/config.h:
	-rm.exe -f ../../../../../resources/install/windows/config.h
	echo.exe -e '#define PRODUCTNAME "$(PRODUCTNAME)"\n#$(DEFINE_PACKAGECODE)' > $(cygwin.target.dir)/config.h

$(cygwin.target.dir)/cleansweep.res: cleansweep.rc $(cygwin.target.dir)/config.h
	$(WINDRES) -I../../../../../resources/install/windows -I$(target.dir) cleansweep.rc -O coff -o $(target.dir)/cleansweep.res

=== debian/changelog ===
jitsi (2.9.5533-1) unstable; urgency=low

  * Updates upstream.
  * Adjust build-time deps for easier backporting. (Closes: #729904)
  * Reuses already installed on the system spellcheck
    ditionaries. (Closes: #719201)
  * Fixes processing incoming xmpp ping error packets and showing
    many stack traces in console. (Closes: #785299)
  * Removes java6-runtime alternative. (Closes: #735904)

 -- Damian Minkov <damencho@jitsi.org>  Sat, 17 Sep 2016 16:01:25 -0400

jitsi (2.5.5313-1) unstable; urgency=low

  * Updates upstream.
  * Now depends libjitsi package.
  * Fixes BundleException: Unresolved constraint in bundle
    propertieseditor. (Closes: #736773)
  * Fixes commons lang missing felix manifests. (Closes: #736773)
  * Removes gdata dependency. Set encoding for javadoc to fix errors with
    Java 7 (part of the patch in libjitsi as jsip has moved
    there). (Closes: #759835, #748503)
  * New version will be updated with bound to libavfilter5. (Closes: #760853)
  * Fixes dependencies to build with jdk8. (Closes: #745090)

 -- Damian Minkov <damencho@jitsi.org>  Mon, 6 Oct 2014 17:40:14 +0200

jitsi (2.4.4997-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * debian/patches/json.patch: Update paths to json-simple.jar since
    libjson-simple-java 1.1.1-2 dropped the compatibility symlink. (Closes:
    #747789)
  * debian/control: Bump (Build-)Depends on libjson-simple-java to >= 1.1.1.
    The name got changed to json-simple.jar starting with 1.1.1.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 20 May 2014 22:02:47 +0200

jitsi (2.4.4997-1.1) experimental; urgency=low

  * Non-maintainer upload.
  * Add patch from Anton Khirnov and compile against libav10 (Closes: #739432)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 31 Mar 2014 21:41:07 -0400

=== debian/control ===
Source: jitsi
Section: net
Priority: optional
Maintainer: Jitsi Team <dev@jitsi.org>
Uploaders: Emil Ivov <emcho@jitsi.org>, Damian Minkov <damencho@jitsi.org>
Homepage: http://jitsi.org/
Build-Depends: debhelper (>= 9), javahelper,
               dpkg-dev (>= 1.16.1),
               default-jdk,
               ant,
               ant-optional,
               ant-contrib-cpptasks,
               ant-contrib,
               libjitsi,
               libjitsi-jni,
               libxpp3-java,
               libjzlib-java,
               libbcprov-java,
               libbcpkix-java,
               libweupnp-java,
               libjna-java,
               libjna-platform-java,
               libcommons-codec-java,
               libcommons-lang3-java,
               liblog4j1.2-java,
               libjgoodies-forms-java,
               libjmdns-java,
               libdnsjava-java (>= 2.1.7~),
               libmac-widgets-java,
               libfelix-main-java,
               libfelix-framework-java,
               junit,
               libcommons-logging-java,
               liblaf-widget-java,
               libhttpcore-java,
               libhttpmime-java,
               libhttpclient-java (>= 4.2.1),
               libjson-simple-java (>= 1.1.1),
               libdbus-java,
               libeasymock-java,
               libxt-dev,
               libxtst-dev,
               libxv-dev,
               libdbus-1-dev,
               libxss-dev,
               libgtk2.0-dev,
               libglib2.0-dev,
               libguava-java,
               libhsqldb-java,
               glassfish-activation,
               glassfish-mail,
               libjcalendar-java,
               libphonenumber6-java,
               libslf4j-java
Standards-Version: 3.9.6

Package: jitsi
Architecture: all
Depends: ${misc:Depends},
         jitsi-jni (>= ${source:Version}),
         jitsi-common (= ${source:Version}),
         libjitsi (= ${libjitsi:version}),
         libjitsi-jni (= ${libjitsi:version}),
         default-jre,
         libunixsocket-java,
         libhttpcore-java,
         liblog4j1.2-java,
         libjmdns-java,
         libmac-widgets-java,
         libfelix-main-java,
         libfelix-framework-java,
         libhttpclient-java (>= 4.2.1),
         libhttpmime-java,
         libcommons-logging-java,
         libcommons-codec-java,
         libcommons-lang3-java,
         liblaf-widget-java,
         libdbus-java,
         libbcprov-java,
         libweupnp-java,
         libjna-java,
         libjna-platform-java,
         libjgoodies-forms-java,
         libguava-java,
         libhsqldb-java,
         libjson-simple-java (>= 1.1.1),
         libjcalendar-java,
         libphonenumber6-java,
         libslf4j-java
Recommends: ${java:Recommends}
Description: VoIP and Instant Messaging client
 Jitsi is an application that allows you to do audio/video
 conversations over the Internet through the SIP and XMPP/Jabber protocol,
 as well as chat with your friends using some of the most popular instant
 messaging protocols such as SIP/SIMPLE, XMPP/Jabber, AIM/ICQ, Yahoo and others.

Package: jitsi-jni
Replaces: libjitsi-jni (<< 415)
Section: libs
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Jitsi JNI library
 These are the jni bindings for  Jitsi the Java VoIP
 and Instant Messaging client. Libraries to access audio and video devices.
 Native binaries used to render the video and detect network configuration
 changes. Binaries for audio codecs like opus and g722. Global shortcuts,
 notifications and hid devices control.

Package: jitsi-common
Section: libs
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends},
         libdnsjava-java (>= 2.1.7~),
         libxpp3-java,
         libjzlib-java,
         libbcpkix-java
Description: Jitsi common bundles
 These are the common files for Jitsi the Java VoIP
 and Instant Messaging client. Bundles that are reused by others like
 jitsi-videobridge.
